Version 4.0.26.22 (latest)

### Get information about all active Looks

Returns an array of **abbreviated Look objects** describing all the looks that the caller has access to. Soft-deleted Looks are **not** included.

Get the **full details** of a specific look by id with [look(id)](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Look/look)

Find **soft-deleted looks** with [search_looks()](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Look/search_looks)

## Request

GET /looks Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: Look

Datatype Description (array) [Look](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Look)\[\] can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification content_favorite_id string Content Favorite Id created_at string Time that the Look was created. deleted boolean Whether or not a look is 'soft' deleted. deleted_at string Time that the Look was deleted. deleter_id string Id of User that deleted the look. description string Description embed_url string Embed Url excel_file_url string Excel File Url favorite_count integer Number of times favorited google_spreadsheet_formula string Google Spreadsheet Formula image_embed_url string Image Embed Url is_run_on_load boolean auto-run query when Look viewed last_accessed_at string Time that the Look was last accessed by any user last_updater_id string Id of User that last updated the look. last_viewed_at string Time last viewed in the Looker web UI model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label public boolean Is Public public_slug string Public Slug public_url string Public Url query_id string Query Id short_url string Short Url folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder of this Look Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object folder_id string Folder Id updated_at string Time that the Look was updated. user_name string Name of User that created the look. view_count integer Number of times viewed in the Looker web UI usage_count integer Number of queries executed on this look in the last N days is_owner_disabled boolean Is the owner disabled

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/lookersdk-flask/app/looker.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/lookersdk-flask/app/looker.py#L23 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/lookersdk-flask/app/looker.py") |

### Ruby


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/delete_unused_content.rb](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/delete_unused_content.rb#L14 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/ruby/delete_unused_content.rb") |

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt#L21 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L75 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L397 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L428 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L403 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |

### Swift


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift#L119 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift#L322 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift") |